Subject: Bug#1132: [X2Go-Dev] Bug#1132: Color issue with x2go not present in NX with certain applications

From: "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <[email-masked]>
Date: Mon, 16 Jan 2017 16:25:36 +0000

I forgot to mention by the looks of your link is testing currently only working on debian based systems? We’re using Rhel6 systems with x2goserver installed on them. I did notice in the git repo for Artica nxlibs there is a section for building out a rpm. Little out of my depth here though so I might be not looking at the correct thing.

> On Jan 9, 2017, at 11:58 AM, Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] <[email-masked]> wrote:
> 
> Darn was hoping to have won the prize! Haha
> 
> I have tested a few different compression/slider options but still going through and see what each option gives me in. The software being used is open source for NASA missions I believe but closed outside of that, so not sure what all I can share on that just yet, I'll have to check.
> 
> I did notice that selecting the "local desktop" option via the client on x2go provides me with the correct color, however it also produces a great deal of lag. Is the local desktop option doing basic VNC connection or Xforwarding? I couldn't find any information on that.
> 
> I'm utilizing x2go in conjunction with a LTSP set up. If I use basic Xforwarding through the terminal I get the colors I need displayed properly. I'm not sure exactly where it's hanging up through the x2go client window.
> 
> For the unix_kde_depth option, is there a setting to have it exceed 24? Some blogs I've noticed people their session.log files showing unix_kde_depth32 however mine is always at 24 and unsure where that setting would be located at.
> 
> Brian Town
> Landsat 8
> Goddard Space Flight Center
> 
> 
> -----Original Message-----
> From: Stefan Baur [mailto:[email-masked]] 
> Sent: Monday, January 09, 2017 11:50 AM
> To: Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] <[email-masked]>; [email-masked]
> Subject: Re: [X2Go-Dev] Bug#1132: Color issue with x2go not present in NX with certain applications
> 
> Hi, Brian!
> 
> First of all, welcome to X2Go!  You're actually the third NASA employee hitting our list (the other two were from JSC-EG311 and JPL-392K).
> Sorry, that doesn't mean you've won a prize. ;-)
> 
> Some things I would like to ask you to do/try:
> 
> 1) Please let us know the name of the software that has these issues with X2Go; if it is non-free and/or something NASA developed internally, you might want to get the developers of that software involved as well so they can talk to ours.
> Screenshots would help, too - but please remember to black out confidential information that might be visible on it.
> 
> 2) Please try different slider settings and image compression algorithms in the connection settings.  Maybe it only affects JPG, or only PNG, ...
> 
> 3) Also, please try running the software with X2Go in single application/published application mode (IOW, rootless mode) vs.
> fullscreen/windowed mode.  This is becahse parts of the screen drawing process work differently in rootless mode.
> 
> 4) If you have a chance to run this software along with X2Go in a separate testing environment, you could try following these steps and see if it changes anything - but please do not do this on a production
> system:
> http://wiki.x2go.org/doku.php/doc:howto:nx-libs-betatesting
> (Note that at present, this probably only works for Debian-based distributions, not for Redhat - but if you have a test lab available to you, you could "ssh -X brian@redhat-test-box" from the Debian box within the X2Go session.)
> 
> 5) We'd love to hear how you use or intend to use X2Go, so we can publish your testimonial on our success stories page in the wiki.
> Since you seem to be working with weather satellites, that sounds like a rather interesting use case for X2Go.
> 
> Last, I hope you don't mind that I mention this ...
> 
> <shameless plug>
> X2Go also has a commercial side, where various companies - including my own - offer support contracts with guaranteed response times as well as consultancy and paid-for development work if someone wants to see a bug fixed or a new feature added in a certain time frame. What makes my company special is, IMHO:
> 
> 1) I'm the current X2Go Project/Community Coordinator, so the development lead and the developers tend to listen to me.
> 2) As far as I know, we are the only company providing X2Go support that isn't a one-man-show.
> 3) We sub-contract other developers from the X2Go community on demand, so you only have one person you need to talk to - me - and you will only receive one invoice, even if the task involved several freelance or part-time X2Go developers.
> 
> Our hourly rate for consultancy work and fixing issues outside of a support contract is 110 EUR. With a support contract, you get guaranteed response times (starting at 400 EUR/month for 24h response time during business hours in the CET/CEST time zone from Monday to Friday, German holidays excluded) and lower hourly rates if you buy a certain amount of hours in advance.
> </shameless plug>
> 
> Kind Regards,
> Stefan Baur
> 
> Am 09.01.2017 um 15:13 schrieb Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]:
>> Package: x2goclient
>> 
>> Version: 4.0.5.2
>> 
>> 
>> 
>> Connecting to remote RHEL system using x2go has color issues with 
>> certain panels of an application on that system. When connecting via 
>> NoMachine the panels show up as they should, black background, white 
>> text. However with x2go the panel shows up as a grey background with 
>> black text, and some text are just black boxes (the major issue is the 
>> black boxes obscuring text).
>> 
>> 
>> 
>> I noticed a bug along these lines from back in 2013 (#262 )
>> (http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=262)
>> 
>> 
>> 
>> Brian Town
>> 
>> Landsat 8
>> 
>> Goddard Space Flight Center
>> 
>> sig
>> 
>> 
>> 
>> 
>> 
>> _______________________________________________
>> x2go-dev mailing list
>> [email-masked]
>> http://lists.x2go.org/listinfo/x2go-dev
>> 
> 
> 
> --
> BAUR-ITCS UG (haftungsbeschränkt)
> Geschäftsführer: Stefan Baur
> Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364 Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
>